Get Application Metadata

Returns metadata for a single application.

Required Roles

Service Administrator

REST Resource

GET /HyperionPlanning/rest/v3/applications/{appname}

Request

Parameters:

Table 3-9 Request Parameters

Name Description Type Required Default
appname The name of the application. path Yes None

Example URL

https://<BASE-URL>/HyperionPlanning/rest/v3/applications/HP1

Response

Supported Media Types: application/json

Table 3-10 Response Parameters

Name Description
links Links to this resource and related operations.
links[].rel The relationship of the linked resource to this resource.
links[].href The URL of the linked resource.
links[].action The HTTP method used to access the linked resource.
name The name of the application.
type The type of the returned resource.
dpEnabled Indicates whether decision packages are enabled for the application.
unicode Indicates whether the application supports Unicode.
appStorage The storage type of the application.
appType The business process type of the application.
webBotAppId The identifier of the web bot application.

Sample Response

The following shows an example response.

{
  "links": [
    {
      "rel": "self",
      "href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/HP1",
      "action": "GET"
    }
  ],
  "name": "HP1",
  "type": "Planning",
  "dpEnabled": false,
  "unicode": true,
  "appStorage": "Relational",
  "appType": "PBCS",
  "webBotAppId": "planning-assistant"
}